This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293367 - [DOC] REST API for Managing the Realtime Decision Server is not updated
[DOC] REST API for Managing the Realtime Decision Server is not updated
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: brms-docs@redhat.com
Lukáš Petrovický
Dawn Eisner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 10:05 EST by Oscar Molina
Modified: 2016-10-14 10:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-143 Major Reopened (RHBZ#1293367) [DOC] REST API for Managing the Realtime Decision Server is not updated 2016-04-12 17:13 EDT

  None (edit)
Description Oscar Molina 2015-12-21 10:05:28 EST
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.2/html-single/User_Guide/index.html#The_REST_API_for_Managing_the_Realtime_Decision_Server

Section Number and Name: 

9.8. The REST API for Managing the Realtime Decision Server

Describe the issue: 

As we can see in the User Guide [1], if you want to manage a container using Realtime Decision Server, you must use the following URL: 

~~~
http://SERVER:PORT/kie-server/services/rest/server/containers/{id}
~~~

If you try to execute this URL, you will have to following error:

~~~
"HTTP Status 405: The specified HTTP method is not allowed for the requested resource"
~~~

That information is not updated. You need to use the following URL:

~~~
http://SERVER:PORT/kie-server/services/rest/server/containers/instances/{id}
~~~

[1] https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.2/html-single/User_Guide/index.html#The_REST_API_for_Managing_the_Realtime_Decision_Server

Suggestions for improvement: 

Update that information.

Note You need to log in before you can comment on or make changes to this bug.